Download CodeIgniter

CodeIgniter has two supported versions: CodeIgniter 4 (current) and CodeIgniter 3 (legacy)

CodeIgniter 4

CodeIgniter 4 is the current version of the framework, intended for use with PHP 7.3+ (including 8.0).

Development is ongoing, and the current version is v4.1.4.

You *could* download this version of the framework using the button below, but we encourage you to check the Installation section of the User Guide, to choose from several different ways you can install the framework :)

CodeIgniter 3

CodeIgniter 3 is the legacy version of the framework, intended for use with PHP 5.6+.

This version is in maintenance, receiving mostly just security updates, and the current version is 3.1.11.

CodeIgniter 2

CodeIgniter 2.2.6 is the legacy version of the framework.

The 2.x branch was originally released January 2011, and the last version (2.2.6) came out in October, 2015.

CodeIgniter 2 has reached its end-of-life for support and updates, as of October 31, 2015. No further updates are planned.